Bug 249538 - Inconsistencies in init scripts
Summary: Inconsistencies in init scripts
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: quagga   
(Show other bugs)
Version: rawhide
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Martin Bacovsky
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-07-25 13:49 UTC by David Kovalsky
Modified: 2014-03-31 23:44 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-07-31 09:29:40 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description David Kovalsky 2007-07-25 13:49:27 UTC
Example in /etc/init.d/bgdp:

variable proc is set on line 20, bug not used on line 38 as it probably should.
Scripts like /etc/rc.d/init.d/ripngd, /etc/rc.d/init.d/ripd set the prog
variable, but never use it.

Noticed this in RHEL5, quagga-0.98.6-5.el5.i386

Comment 1 Martin Bacovsky 2007-07-31 09:29:40 UTC
This issue should be fixed in RAWHIDE. (quagga-0.99.8-1.fc8 and above)


Note You need to log in before you can comment on or make changes to this bug.